Skip to content
WP EngineDocumentation

Delete SFTP user

DELETE
/installs/{install_id}/sftp_users/{username}
curl --request DELETE \
--url https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/sftp_users/install-developer \
--header 'Authorization: Basic <credentials>'

Deletes an SFTP user from the install.

Limitations & Warnings

  • Not available for Autoscale accounts. Returns 403 for Autoscale accounts.
install_id
required
string format: uuid

ID of install

Example

294deacc-d8b8-4005-82c4-0727ba8ddde0
username
required
string

Username of the SFTP user

Example

install-developer

No Content

Authentication Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Example

{
"message": "Bad Credentials"
}

Not authorized (install not found, no access, or Autoscale account)

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Example

{
"message": "You don't have permission to perform that action"
}

Not found (SFTP user not found)

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Example

{
"message": "Not Found"
}

Too many requests

Internal Server Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string

Example

{
"message": "An unexpected error occurred, please try again in a few minutes"
}

An invalid response was received from an upstream server

Service unavailable